OpenNMS API 1.2.9

## org.opennms.netmgt.eventd
Class UndeclaredEventException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.reflect.UndeclaredThrowableException
                      org.opennms.netmgt.eventd.UndeclaredEventException

All Implemented Interfaces:
  java.io.Serializable

public final class UndeclaredEventException
extends java.lang.reflect.UndeclaredThrowableException

Author:
  Brian Weaver , OpenNMS.org
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.reflect.UndeclaredThrowableException
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`UndeclaredEventException(java.lang.Throwable t)`
`UndeclaredEventException(java.lang.Throwable t, java.lang.String s)`

Methods inherited from class java.lang.reflect.UndeclaredThrowableException
`getCause, getUndeclaredThrowable`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UndeclaredEventException

    public UndeclaredEventException(java.lang.Throwable t)

### UndeclaredEventException

    public UndeclaredEventException(java.lang.Throwable t,
                                    java.lang.String s)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.